package com.engine.salary.mapper.salaryitem;

import com.engine.salary.entity.salaryitem.po.SysSalaryItemPO;

import java.util.List;


public interface SysSalaryItemMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SysSalaryItemPO> listAll();

	/**
	 * 条件查询
	 * @param po
	 * @return
	 */
    List<SysSalaryItemPO> listSome(SysSalaryItemPO po);

	/**
	 * 条件查询
	 * @param po
	 * @return
	 */
	List<SysSalaryItemPO> listLikeName(SysSalaryItemPO po);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SysSalaryItemPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param SysSalaryItemPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SysSalaryItemPO SysSalaryItemPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param SysSalaryItemPO 修改的记录
     * @return 返回影响行数
     */
	int update(SysSalaryItemPO SysSalaryItemPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param SysSalaryItemPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SysSalaryItemPO SysSalaryItemPO);
	
	/**
     * 删除记录
     *
     * @param SysSalaryItemPO 待删除的记录
     * @return 返回影响行数
     */
	int delete(SysSalaryItemPO SysSalaryItemPO);

	SysSalaryItemPO selectOneByName(String name);
}